ACN::SDT::get_sessions_data Struct Reference

4.4.8 Get Sessions More...

`#include <sdt.h>`

Inheritance diagram for ACN::SDT::get_sessions_data:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (PDU::Stream s) override
| fill structure data from input stream
void | oStream (PDU::Stream s) const override
| write structure data to output stream

## Public Attributes

UUID::uuid | cid
| component UUID

## Detailed Description

4.4.8 Get Sessions

## Member Function Documentation

## streamSize()

size_t ACN::SDT::get_sessions_data::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following file:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/sdt.h